## org.eclipse.jst.jsf.context.symbol
Interface ISymbol

All Known Subinterfaces:
  IBeanInstanceSymbol, IBeanMethodSymbol, IBeanPropertySymbol, IComponentSymbol, IInstanceSymbol, IJavaSymbol, IMethodSymbol, IObjectSymbol, IPropertySymbol

    public interface ISymbol

An entity that represents a meaningful named value in some context. Typically these represent programming language variables, properties and methods.

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright`
`static ISymbol[]` `EMPTY_SYMBOL_ARRAY` Singleton for an empty array of ISymbols

Method Summary
`java.lang.String` `getName()`
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Field Detail

### EMPTY_SYMBOL_ARRAY

    static final ISymbol[] EMPTY_SYMBOL_ARRAY

  Singleton for an empty array of ISymbols

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns:
    the symbol's name

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`